<?php
declare(strict_types=1);

namespace IntiTest\Wp\Provider\Mock;

use Inti\Wp\Provider\Type\Term\Category;
use Inti\Wp\Provider\Type\WpTypeInterface;

/**
 * Class OverrideTermProvider
 *
 * @package IntiTest\Wp\Provider\Mock
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-provider
 */
final class OverrideTermProvider extends TermProvider
{
    public function getProvidedType(): WpTypeInterface
    {
        return Category::instance();
    }
}
