<?php
declare(strict_types=1);

namespace IntiTest\Wp\Provider\Mock;

use Inti\Provider\Type\TypeInterface;
use Inti\Wp\Provider\Metadata\AbstractMetadataProvider;
use Inti\Wp\Provider\Type\Post\Post;

/**
 * Class PostMetadataProvider
 *
 * @package IntiTest\Wp\Provider\Mock
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-bartog
 */
class PostMetadataProvider extends AbstractMetadataProvider
{
    use MetadataProviderTrait;

    public function __construct()
    {
        $this->initMetadata('post', 8, 2);
    }

    public function getProvidedType(): TypeInterface
    {
        return Post::instance();
    }
}
